Skip to Content
author's profile photo Former Member
Former Member

After SAP upgrdation from crystal report Xi to crystal 2010. Not able to connect to dll through dot net 4.0 application

After SAP upgrdation from crystal report Xi to crystal 2010. Not able to connect to dll through dot net 4.0 application

Getting below error

USER NAME - administrator

Password =""

apsserver =
Reportservername

authmethod
=ENTERPRISE

When application is trying to create the instance we are getting
COM exception. We tried to register the dll using regsvr32.exe but no
success.

Please suggest are we missing
some supporting dll . Please help us approach to configure the SAP tool dot net
paltform

Exception :

Please guide

Add a comment
10|10000 characters needed characters exceeded

Related questions

1 Answer

  • Best Answer
    Posted on Aug 07, 2013 at 09:10 PM

    Hello,

    I assume you are referring to the 2 Enterprise Dll's that typically were include in previous versions of CR runtime?

    If you are not connecting to BI 4.0 Enterprise Server then simply remove those 2 references from the app.

    If you are connecting to BI 4.0 then you need to download the 4.0 SP 4 Client tools to get the .NET SDK.

    You can get the package from Service Market Place as long as you have a support Contract. Once you do then install the Client Tool, use the Custom option and select the .NET components. Then in your application replace all of the version 13 assemblies with the version 14 assemblies.

    Don

    Add a comment
    10|10000 characters needed characters exceeded

    • Don Williams Dell Stinnett-Christy

      And to add to Dell's info for BOE XI R2 you MUST use CR XI R2 SDK, you CANNOT use and connect different runtime versions. And it was only supported in 1.1 or 2.0 framework.

      Unfortunately XI R2 is end of life as well as BOE Enterprise XI R2.

      And the runtime for XI R2 is no longer available....

      Your only option is to upgrade to CR Server 2008 or 2011 or 2013 ( soon ) and update the runtime to BOE 3.1 for CR 2008 or BI 4.0/4.1 for CR 2011/2013. Once you purchase BOE or BI with a support Contract you can then download the .NET SDK and use 4.0 framework.

      Don

Before answering

You should only submit an answer when you are proposing a solution to the poster's problem. If you want the poster to clarify the question or provide more information, please leave a comment instead, requesting additional details. When answering, please include specifics, such as step-by-step instructions, context for the solution, and links to useful resources. Also, please make sure that you answer complies with our Rules of Engagement.
You must be Logged in to submit an answer.

Up to 10 attachments (including images) can be used with a maximum of 1.0 MB each and 10.5 MB total.